Name: liblrdf
Version: 0.3.2
Release: alt1

Summary: Library for handling RDF descriptions of audio plugins
License: GPL
Group: System/Libraries
Url: http://plugin.org.uk/lrdf

Source: %name-%version.tar.bz2

BuildPreReq: ladspa_sdk >= 1.12-alt2
BuildPreReq: kernel-headers-std

# Automatically added by buildreq on Wed Apr 30 2003
BuildRequires: glibc-devel-static ladspa_sdk libraptor-devel libxml2-devel pkgconfig zlib-devel

%description
liblrdf is a library for handling RDF (http://www.w3.org/RDF/)
descriptions of LADSPA (and potentially other format) plugins.

It allows grouping of plugins into trees for user slection and finer
description of plugins and ports than the .so format allows (for example
to indicatate textual equivalents of integer port values). It also
provides named and described defaults and presets, metadata and general
semnatic goodness.

%package devel
Summary: Headers for developing programs that will use %name
Group: Development/C++
Requires: %name = %version-%release
Requires: libraptor-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%_ladspa_datadir/rdf/ladspa.rdfs

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc AUTHORS ChangeLog NEWS README

%changelog
* Sat Nov 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.2-alt1
- new version.
- do not package .la files.

* Wed Apr 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- 0.3.0

* Thu Mar 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.4-alt1
- 0.2.4

* Tue Feb 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.3-alt1
- Adopted for Sisyphus.

* Tue Feb 18 2003 Austin Acton <aacton@yorku.ca> 0.2.3-1mdk
- initial package
